VERSION 5.00
Begin VB.Form frmLevelUp 
   AutoRedraw      =   -1  'True
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Level Complete"
   ClientHeight    =   2580
   ClientLeft      =   45
   ClientTop       =   345
   ClientWidth     =   5100
   Icon            =   "frmLevelUp.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   172
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   340
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "frmLevelUp"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'
'  Wall of the Words is Copyright (c) 2008 Robson
'
'  This program is free software; you can redistribute it and/or modify
'  it under the terms of the GNU General Public License as published by
'  the Free Software Foundation; either version 2 of the License, or
'  (at your option) any later version.
'
'  This program is distributed in the hope that it will be useful, but
'  WITHOUT ANY WARRANTY; without even the implied warranty of
'  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'  General Public License for more details.
'
'  The license can be viewed at http://www.gnu.org/licenses/gpl.html
'
' all variables are declared
Option Explicit

Private Sub Form_Load()
    Dim X As Integer, Y As Integer
    Dim R As Byte, G As Byte, B As Byte
    R = RNG(125, 254)
    G = RNG(125, 254)
    B = RNG(125, 254)
    BackColor = RGB(R, G, B)
    If RNG(0, 1) = 0 Then
        FillColor = RGB(R * 0.75, G * 0.75, B * 0.75)
    Else
        FillColor = RGB(R * 1.2, G * 1.2, B * 1.2)
    End If
    DrawWidth = 1
    ForeColor = RGB(R, G, B)
    FillStyle = vbFSTransparent
    ForeColor = FillColor
    Dim bytRadius As Byte
    For Y = 0 To ScaleHeight Step 10
        For X = 0 To ScaleWidth Step 10
            Select Case RNG(0, 1)
                Case 0
                    FillColor = ForeColor
                    bytRadius = RNG(1, 3)
                    Select Case RNG(0, 2)
                        Case 0
                            If RNG(0, 1) = 0 Then
                                FillStyle = vbFSSolid
                            Else
                                FillStyle = vbFSTransparent
                            End If
                            Circle (X, Y), RNG(18, 30) / 10
                        Case 1
                            Line (X - bytRadius, Y - bytRadius)-(X + bytRadius, Y + bytRadius), , BF
                        Case 2
                            Line (X - bytRadius, Y - bytRadius)-(X + bytRadius, Y + bytRadius), , B
                    End Select
            End Select
        Next
    Next
    FillStyle = vbFSTransparent
    DrawWords "level", 32 * 0.75
    DrawWords "complete", 32 * 2.25
    Font.Name = "Georgia"
    Font.Size = 12
    Font.Bold = False
    ForeColor = BackColor
    Line ((ScaleWidth / 2) - 123, ScaleHeight - 58)-((ScaleWidth / 2) + 123, ScaleHeight - 9), , BF
    ForeColor = vbBlack
    CurrentY = ScaleHeight - 50
    CurrentX = (ScaleWidth / 2) - (TextWidth("the attackers have given up!") / 2)
    Print "The attackers have given up!"
    Font.Italic = True
    Font.Bold = True
    CurrentX = (ScaleWidth / 2) - (TextWidth("click to continue") / 2)
    Print "click to continue"
End Sub

Private Sub DrawWords(ByVal strWords As String, ByVal Y As Integer)
    Dim N As Integer, X As Integer
    For N = 1 To Len(strWords)
        If Mid(strWords, N, 1) <> " " Then
            With frmLevelUp
                X = ((.ScaleWidth / 2) - ((Len(strWords) * 35)) / 2) + ((N - 1) * 35)
                .PaintPicture arrTileList(TILE_DEFENCEWALL), X, Y
                .DrawWidth = 2
                .ForeColor = RGB(100, 100, 100)
                frmLevelUp.Line (X + 1, Y + 0)-(X + 1, Y + 31)
                frmLevelUp.Line (X + 0, Y + 1)-(X + 31, Y + 1)
                .ForeColor = RGB(25, 25, 25)
                frmLevelUp.Line (X + 31, Y + 2)-(X + 31, Y + 31)
                frmLevelUp.Line (X + 2, Y + 31)-(X + 31, Y + 31)
                .ForeColor = vbYellow
                .Font.Size = 7
                .Font.Name = "Tahoma"
                .CurrentX = (X + 32) - (frmLevelUp.TextWidth("A") + 6)
                .CurrentY = (Y + 32) - (frmLevelUp.TextHeight("A") + 1)
                frmLevelUp.Print bytLetterPoints(Asc(LCase(Mid(strWords, N, 1))) - Asc("a"))
                .ForeColor = vbWhite
                .Font.Name = "Georgia"
                .Font.Size = 17
                .CurrentX = (X + 16) - (frmLevelUp.TextWidth(Mid(strWords, N, 1)) / 2)
                .CurrentY = Y + 1
                frmLevelUp.Print Mid(strWords, N, 1)
                .DrawWidth = 1
            End With
        End If
    Next
End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    Unload Me
End Sub

Private Sub Form_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Unload Me
End Sub
